# Contributing

Contributions are very welcome in many forms :)

## Issues

If you find a problem with any of the examples, please [file an issue on Github](https://github.com/brianegan/flutter_architecture_samples/issues).

## Merge Requests / New Apps

If you would like to fix a bug or make an improvement, please [file a pull request](https://github.com/brianegan/flutter_architecture_samples/pulls) explaining your changes!

For larger changes, such as a including a new app, please submit an Issue before you
begin or submit a "Work In Progress" Merge request that gives an overview of the changes you'd
like to make and the reasoning behind it!

### Code Hygiene

  * Ensure your updates follow the app spec
  * Ensure your code is properly formatted with `dartfmt`
  * Please ensure tests are up to date
  * Verify `dartanalyzer` isn't throwing any warning or errors/

