# Line Counts

Though not the only factor or even most important factor, the amount of code it
takes to achieve a working product is an important consideration when comparing
frameworks.

This is an imperfect line count comparison -- some of the samples contain a bit
more functionality / are structured a bit differently than others -- and should
be taken with a grain of salt. All generated files, blank lines and comment 
lines are removed for this comparison.

For authors of frameworks or samples (hey, I'm one of those!): Please do not 
take this comparison personally, nor should folks play "Code Golf" with the
samples to make them smaller, unless doing so improves the application overall.  
  
| *Sample* | *LOC (no comments)* |
|--------|-------------------|
| scoped_model | 778 |
| mobx | 815 |
| change_notifier_provider | 830 |
| inherited_widget | 832 |
| mvc | 842 |
| vanilla | 842 |
| frideos_library | 878 |
| simple blocs | 1076 |
| built_redux | 1172 |
| mvu | 1191 |
| bloc | 1194 |
| bloc library | 1214 |
| mvi | 1244 |
| redux | 1362 |
| firestore_redux | 1429 |

Note: This file was generated on 2020-01-10 14:59:25.151846Z using `scripts/line_counter.dart`.  

